import Book from "../../../../common/models/Book";

export default class BookDetail extends Book {
	constructor(param) {
		super(param);
		const {
			contentMd,
			freeMd,
			chargeMd,
		} = param || {}
		this.contentMd = contentMd;
		this.freeMd = freeMd;
		this.chargeMd = chargeMd;
		let result = contentMd ? contentMd.replace(/<[^>]+>/g, "") : "";
		result = result.split("\n");
		this.content = result.filter(item => {
			return item.split(/[\t\r\f\n\s]*/g).join("");
		});
		
		let result2 = freeMd ? freeMd.replace(/<[^>]+>/g, "") : "";
		result2 = result2.split("\n");
		this.free = result2.filter(item => {
			return item.split(/[\t\r\f\n\s]*/g).join("");
		});
		
		let result3 = chargeMd ? chargeMd.replace(/<[^>]+>/g, "") : "";
		result3 = result3.split("\n");
		this.charge = result3.filter(item => {
			return item.split(/[\t\r\f\n\s]*/g).join("");
		});
		
		console.log('param------',param)
	}
}