export default class Pack {
	constructor(param) {
		const {
			id,
			title,
			price,
			originalPrice,
		} = param || {}
		this.id = id;
		this.title = title;
		this.originalPrice = originalPrice ? originalPrice.toFixed(2) : 0;
		this.price = price ? price.toFixed(2) : 0;
		this.cutDown = parseFloat(originalPrice ? originalPrice - price : 0).toFixed(2);
	}
}