export default class ReadCount {
	constructor(param) {
		const {
			count
		} = param || {}
		this.count = count;
		let result = initWithCount(count);
		const {
			hour,
			minute,
			second
		} = result;
		this.hour = hour;
		this.minute = minute;
		this.second = second;
	}
}

function initWithCount(count) {
	if (!count) return {};
	let second = parseInt(count / 1000); // 秒数
	let minute = parseInt(second / 60); // 分钟数
	second = second % 60; // 更新秒数
	let hour = parseInt(minute / 60); // 小时数
	minute = minute % 60; // 更新分钟数
	return {
		hour,
		minute,
		second
	}
}