export default class User {
	constructor(param) {
		const {
			id,
			name,
			phone,
			sign,
			avater,
			nickName,
			roleId,
			sex,
			status,
			memberFlag,
			memberExpirationDate,
			bookLegumes
		} = param || {}
		this.id = id;
		this.name = name || "用户";
		this.phone = phone;
		this.sign = sign || '书中自有颜如玉，书中自有黄金屋，书中自有千钟黍';
		this.avater = '/static/images/logo.png';
		this.nickName = nickName || "用户";
		this.roleId = roleId;
		this.sex = sex;
		this.status = status;
		this.memberFlag = memberFlag;
		this.memberExpirationDate = memberExpirationDate;
		this.bookLegumes = bookLegumes;
	}

	isVip() {
		if (this.memberFlag) {
			let cDate = new Date();
			cDate = cDate.getTime();
			return this.memberExpirationDate >= cDate;
		}
		return false;
	}

	isVipExpire() {
		if (this.memberFlag) {
			let cDate = new Date();
			cDate = cDate.getTime();
			return this.memberExpirationDate < cDate
		}
		return false
	}
}